<template>
	<view>
	        <view class="text-center text-bold text-xxl">{{msg}}</view>
	</view>
</template>

<script>
export default {
	data() {
		return {
			code: 401,
			msg: '请求被拒绝',
		};
	},
	onLoad: function(option) {
		var self = this;
		self.code = this.Dever.data('web_error');
		switch (self.code) {
			case 401:
				self.msg = '请求被拒绝';
				console.error(self. msg + self.code)
				break;
			case 404:
				self.msg = '没有找到页面';
				console.error(self. msg + self.code)
				break;
			case 500:
				self.msg = '服务器500错误';
				console.error(self. msg + self.code)
				break;
			case 405:
				self.msg = '请求错误';
				console.error(self. msg + self.code)
				break;
		}
	},
	onShow: function() {},

	methods: {
		callback(e) {
			
		},
	}
};
</script>

<style>
</style>
